## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemoryManagement.hpp File Reference

Include dependency graph for XalanMemoryManagement.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XalanAllocationGuard
- class XalanMemMgrs
- class ConstructValueWithNoMemoryManager
- struct ConstructValueWithMemoryManager
- struct ConstructWithNoMemoryManager
- struct ConstructWithMemoryManager
- struct MemoryManagedConstructionTraits
- struct ConstructWithMemoryManagerTraits
- struct ConstructWithNoMemoryManagerTraits

## Defines

- #define XALANMEMORYMANAGEMENT_HEADER_GUARD_1357924680
- #define XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR = XalanMemMgrs::getDefaultXercesMemMgr()
- #define XALAN_DEFAULT_MEMMGR = XalanMemMgrs::getDefaultXercesMemMgr()
- #define XALAN_USES_MEMORY_MANAGER(Type)

## Functions

- template<class Type> void XalanDestroy (Type &theArg)
- template<class Type> void XalanDestroy (Type *theArg)
- template<class Type> void XalanDestroy (MemoryManagerType &theMemoryManager, Type *theArg)
- template<class Type> void XalanDestroy (MemoryManagerType &theMemoryManager, Type &theArg)
- template<class Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance)
- template<class Type, class Param1Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance, const Param1Type &theParam1)
- template<class Type, class Param1Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance, Param1Type &theParam1)
- template<class Type, class Param1Type, class Param2Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance, Param1Type &theParam1, const Param2Type &theParam2)
- template<class Type, class Param1Type, class Param2Type, class Param3Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance, Param1Type &theParam1, const Param2Type &theParam2, Param3Type &theParam3)
- template<class Type, class Param1Type, class Param2Type, class Param3Type, class Param4Type, class Param5Type> Type * XalanConstruct (MemoryManagerType &theMemoryManager, Type *&theInstance, Param1Type &theParam1, Param2Type &theParam2, const Param3Type &theParam3, const Param4Type &theParam4, const Param5Type &theParam5)
- template<class Type> Type * XalanCopyConstruct (MemoryManagerType &theMemoryManager, const Type &theSource)
- template<class Type, class Param1Type> Type * XalanCopyConstruct (MemoryManagerType &theMemoryManager, const Type &theSource, Param1Type &theParam1)

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  MemoryManager MemoryManagerType

## Define Documentation

#define XALAN_DEFAULT_CONSTRACTOR_MEMORY_MGR = XalanMemMgrs::getDefaultXercesMemMgr()

#define XALAN_DEFAULT_MEMMGR = XalanMemMgrs::getDefaultXercesMemMgr()

#define XALAN_USES_MEMORY_MANAGER | ( | Type |  | ) |

| Value:
    template<> \
    struct MemoryManagedConstructionTraits<Type> \
        { \
            typedef ConstructWithMemoryManager<Type> Constructor; \
        };

#define XALANMEMORYMANAGEMENT_HEADER_GUARD_1357924680

## Function Documentation

template<class Type, class Param1Type, class Param2Type, class Param3Type, class Param4Type, class Param5Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance,
|  | Param1Type & | theParam1,
|  | Param2Type & | theParam2,
|  | const Param3Type & | theParam3,
|  | const Param4Type & | theParam4,
|  | const Param5Type & | theParam5
| ) |

template<class Type, class Param1Type, class Param2Type, class Param3Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance,
|  | Param1Type & | theParam1,
|  | const Param2Type & | theParam2,
|  | Param3Type & | theParam3
| ) |

template<class Type, class Param1Type, class Param2Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance,
|  | Param1Type & | theParam1,
|  | const Param2Type & | theParam2
| ) |

template<class Type, class Param1Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance,
|  | Param1Type & | theParam1
| ) |

template<class Type, class Param1Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance,
|  | const Param1Type & | theParam1
| ) |

template<class Type>
Type* XalanConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | Type *& | theInstance
| ) |

template<class Type, class Param1Type>
Type* XalanCopyConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | const Type & | theSource,
|  | Param1Type & | theParam1
| ) |

template<class Type>
Type* XalanCopyConstruct | ( | MemoryManagerType & | theMemoryManager,
|  | const Type & | theSource
| ) |

template<class Type>
void XalanDestroy | ( | MemoryManagerType & | theMemoryManager,
|  | Type & | theArg
| ) |

template<class Type>
void XalanDestroy | ( | MemoryManagerType & | theMemoryManager,
|  | Type * | theArg
| ) |

template<class Type>
void XalanDestroy | ( | Type * | theArg | ) |

template<class Type>
void XalanDestroy | ( | Type & | theArg | ) |

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER MemoryManager MemoryManagerType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.